<?xml version="1.0" encoding="UTF-8"?>
<?soap-response-to requestType="DepositReq" namespace="http://www.nrs.eskom.co.za/xmlvend/revenue/2.1/schema"?>
<xsl:stylesheet 
    version="1.0"
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
    xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
    xmlns:r="http://www.nrs.eskom.co.za/xmlvend/revenue/2.1/schema"
    xmlns:b0="http://www.nrs.eskom.co.za/xmlvend/base/2.1/schema">
    
    <!-- Import common templates -->
    <xsl:import href="../common/common.xsl"/>
    
    <!-- Match the root element of the request message -->
    <xsl:template match="/r:depositReq">
        
            <r:depositResp>
                
                <!-- Insert the Common request attributes -->
                <xsl:call-template name="baseResponseAttributes"/>
                
                <b0:dispHeader>DEPOSIT SLIP</b0:dispHeader>
                <r:depSlip bankingRefNo="1234567890" >
                    <r:header>Deposit Slip</r:header>
                    <r:amt value="1200" symbol="ZAR"/>
                    <r:beneficiary accName="Foo Electricity" accNo="1234567890" branchCode="123456" bankName="Bar Bank" bankRegNo="1234567890"/>
                </r:depSlip>
            </r:depositResp>

    </xsl:template>
    
</xsl:stylesheet>
