package za.co.eskom.nrs.xmlvend.messages;

/** Uniquely identifies a client */
public class ClientID
{
	public ClientID( String id )
	{
		this.id = id;
	}
	
	public String getID()
	{
		return id;
	}
	
	public void setID( String id )
	{
		this.id = id;
	}
	
	public boolean equals(Object obj)
	{
		try
		{
			ClientID other = (ClientID)obj;
			return other.getID().equals( id );
		}
		catch (Exception e)
		{
			return false;
		}
	}
	
	public int hashCode()
	{
		return id.hashCode();
	}
	
	public String toString()
	{
		return "ID: " + id;
	}

	private String id;
}