package za.co.eskom.nrs.xmlvend.server.faults;

import java.io.File;
import java.io.IOException;

/** Responsible for locating templates for various classes of exceptions */
public interface FaultMap
{
	/** Look for new or updated templates */
	public void scan() throws IOException;
	
	/** Get a file that points to a template to use, to construct a fault response
	 * for the given class of exception.
	 */
	public File getFaultTemplate( Class exceptionClass );
}