package za.co.solms.framework.ooxml.soap.processing;

import za.co.solms.framework.ooxml.soap.SOAPMessage;

/** A fatcory for producing SOAP faults based on Java exception messages */
public interface SOAPFaultFactory
{
	/** Produce a SOAP fault message for the given exception, which occurred during
	 * processing of the given SOAP request message. */
	public SOAPMessage createFaultMessage( Throwable exception, SOAPMessage request );
}