package za.co.solms.framework.ooxml.types;

/** Indicates that a schema is invalid for some or other reason. This implies that it could
 * indeed be read, and does thus not imply an I/O problem. */
public class SchemaException extends Exception
{
	private static final long serialVersionUID = -2208117835453336445L;

	public SchemaException(String msg, Throwable rootCause)
	{
		super(msg, rootCause);
	}
}