package za.co.solms.framework.ooxml.types;

/** Indicates that a schema type was in use, and that the requested operation (such as removal from registry)
 * cannot be completed. */
public class TypeInUseException extends Exception
{
	private static final long serialVersionUID = 1313962493113054688L;

	public TypeInUseException(String typeName)
	{
		super( typeName );
	}
}
