package za.co.solms.framework.ooxml.types;

/** Indicates that a requested Schema Type was not found in the types registry. */
public class TypeNotFoundException extends Exception
{
	private static final long serialVersionUID = 2904410803609590855L;

	/** Creates an exception, indicating that the given name could not be found 
	 * as a valid type in the registry */
	public TypeNotFoundException(String typeName)
	{
		super( typeName );
	}
}
