<?xml version="1.0" encoding="UTF-8"?>
<?soap-response-to requestType="ReversalAdviceReq" namespace="http://www.nrs.eskom.co.za/xmlvend/base/2.1/schema"?>
<xsl:stylesheet 
    version="1.0"
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
    xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
    xmlns:b0="http://www.nrs.eskom.co.za/xmlvend/base/2.1/schema">
    
    <!-- Import common templates -->
    <xsl:import href="../common/common.xsl"/>
    
    <!-- Match the root element of the request message -->
    <xsl:template match="/b0:adviceReq">
        
            <b0:adviceResp xsi:type="b0:ReversalAdviceResp"   txReversed="true">
                
                <!-- Insert the Common request attributes -->
                <xsl:call-template name="baseResponseAttributes"/>
                
                <b0:dispHeader>Advice Reversal</b0:dispHeader>
                <b0:operatorMsg>The last request has been reversed.</b0:operatorMsg>
                <b0:custMsg>The last request has been reversed</b0:custMsg>
                <!-- Copy AdviceReqMsgID from request -->
                <xsl:copy-of select="b0:adviceReqMsgID"/>
            </b0:adviceResp>
        
    </xsl:template>
    
</xsl:stylesheet>
