<?xml version="1.0" encoding="UTF-8"?>
<?soap-response-to requestType="StartShiftBatchReq" namespace="http://www.nrs.eskom.co.za/xmlvend/revenue/2.1/schema"?>
<xsl:stylesheet 
    version="1.0"
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
    xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
    xmlns:r0="http://www.nrs.eskom.co.za/xmlvend/revenue/2.1/schema"
    xmlns:b0="http://www.nrs.eskom.co.za/xmlvend/base/2.1/schema">
    
    <!-- Import common templates -->
    <xsl:import href="../common/common.xsl"/>
    
    <!-- Match the root element of the request message -->
    <xsl:template match="/r0:startBatchReq">
        
        <r0:startBatchResp>
            
            <!-- Insert the Common request attributes -->                 
            <xsl:call-template name="baseResponseAttributes"/>
            

            <b0:dispHeader>Start Batch</b0:dispHeader>
            <b0:operatorMsg>The batch has been opened.</b0:operatorMsg>
            <r0:startedBatch xsi:type="r0:ShiftStartBatch" seqNo="1234">
                <r0:started>2005-10-27T14:55:56.041Z</r0:started>
            </r0:startedBatch>
         </r0:startBatchResp>    
            
    </xsl:template>
    
</xsl:stylesheet>
           
            
    