<?xml version="1.0" encoding="UTF-8"?>
<?soap-response-to requestType="TotalBankBatchReq" namespace="http://www.nrs.eskom.co.za/xmlvend/revenue/2.1/schema"?>
<xsl:stylesheet 
 version="1.0"
 xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
 xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
 xmlns:r0="http://www.nrs.eskom.co.za/xmlvend/revenue/2.1/schema"
 xmlns:b0="http://www.nrs.eskom.co.za/xmlvend/base/2.1/schema">
 
 <!-- Import common templates -->
 <xsl:import href="../common/common.xsl"/>
 
 <!-- Match the root element of the request message -->
 <xsl:template match="/r0:totalBatchReq">
  
          <r0:totalBatchResp>
           
           <!-- Insert the Common request attributes -->
           <xsl:call-template name="baseResponseAttributes"/>
           
            <b0:dispHeader>Totalised Bank Batch</b0:dispHeader>
            <r0:totalBatch xsi:type="r0:BankBatch" seqNo="123">
                <r0:started>2005-10-27T14:55:56.041Z</r0:started>
                <r0:ended>2005-10-28T08:33:33.041Z</r0:ended>
                <r0:batchTot value="5154" symbol="ZAR"/>
               <r0:firstSalesSeqNo>1234</r0:firstSalesSeqNo>
               <r0:lastSalesSeqNo>2346</r0:lastSalesSeqNo>
              </r0:totalBatch>
        </r0:totalBatchResp>
 
 </xsl:template>
 
</xsl:stylesheet>
