package za.co.eskom.nrs.xmlvend.messages;

import za.co.eskom.nrs.xmlvend.server.advice.ClientIDStringFactory;
import nu.xom.Document;

public class ClientIDFactory
{
	/** Derive clientID for either a request or response message */
	public static ClientID getClientIDFromMessage( Document message ) throws MessageUnidentifiableException
	{
		String clientID = ClientIDStringFactory.getClientIDString( message );
		return new ClientID( clientID );
	}
}
