package za.co.solms.framework.impl.ooxml.basic.types;

import java.util.Map.Entry;

import za.co.solms.framework.impl.ooxml.basic.util.NamespaceMap;
import nu.xom.Document;
import nu.xom.XPathContext;

/** Provides services to interrogate a schema itself. It does not itself store
 * or relate schema types, but enables easy access to these types (at an XML level)
 * for use by other components, such as the SchemaTypeRegistry.
 * 
 * NOTE: This class is no longer (nor was it ever) in use, and should be removed
 * 
 * One schema wrapper wraps a single schema, already loaded as a XOM model.
 * 
 * @author dawidl
 * @version 0.1 (Nov 1, 2005)
 * @deprecated
 *
 */
public class SchemaWrapper
{

	/** Wrap the given schema. Performs parsong to extract values.
	 * @param schemaDocument
	 * @throws IllegalArgumentException if the schema is invalid or null
	 */
	public SchemaWrapper(  Document schemaDocument ) throws IllegalArgumentException
	{
		if (schemaDocument == null || schemaDocument.getRootElement() == null)
		{
			throw new IllegalArgumentException("Ivalid (empty) schema");
		}
		
		this.schemaDocument = schemaDocument;
		namespaces = new NamespaceMap( schemaDocument );
		
		// Setup XPath context (add all known namespaces)
		xpContext = new XPathContext();
		xpContext.addNamespace("xs","http://www.w3.org/2001/XMLSchema");
		for ( Entry<String,String> e : namespaces.getAllNamespaces().entrySet() )
		{
			
		}
		
		// ??
	}

	private Document schemaDocument;
	// All the namespaces in the schema
	private NamespaceMap namespaces;
	// Context for XPaths on the schema
	private XPathContext xpContext;
}
