package za.co.solms.framework.ooxml.processing;

/** Indicates that a processor is invalid for a particular operation (such as 
 * registering with a processing engine)
 */
public class InvalidXMLProcessorException extends Exception
{
	public InvalidXMLProcessorException( XMLProcessor processor, Throwable rootCause )
	{
		super( "Invalid XML processor: " + processor, rootCause );
		this.processor = processor;
	}

	private XMLProcessor processor;
}
