package za.co.solms.framework.ooxml.processing;

/** An exception to indicate that a given message type is understood (known),
 * but that there are no handlers for it (it cannot be processed).
 * 
 * @author dawidl
 * @version 0.1 (Nov 29, 2005)
 */
public class UnhandledMessageTypeException extends Exception
{
	public UnhandledMessageTypeException(String message)
	{
		super(message);
	}

}
