package za.co.solms.framework.ooxml.soap.processing;

import java.net.URL;

/** A contract to provide the URL of where the WSDL document for a web service can be found,
 * for example - used to construct SOAP Processors.
 * @author dawidl
 * @version 0.1 (Dec 1, 2005)
 *
 */ 
public interface WSDLLocator
{
	/** Provides the location of the WSDL in question */
	public URL getWSDLLocation();
}
